Gl.inet MiFi version required Current Version 2.261 OpenWrt 15.05 r47065

The EC25eu modem does not work with another version out of the box.
Please share with anyone. It is a pity that Gl.Inet does not keep an archive of past versions. Thanks.

EC25-EU?

Does it work on 2.272?

Today I will check and unsubscribe!

2.272 (openwrt 17.01.4 r3560-79f57e422d)
does not connect to the mobile network, comgt says that the SIM is ready, but does not register. There is a suspicion that the proto3g package is working crookedly, the list of installed packages seems to be in order:

 opkg list-installed

ChinaDNS - 1.3.2-6
base-files - 173.1-r3560-79f57e422d
blkid - 2.29.2-1
busybox - 1.25.1-4
chat - 2.4.7-11
comgt - 0.32-29
comgt-directip - 0.32-29
comgt-ncm - 0.32-29
dns-forwarder - 1.2.1-1
dnsmasq - 2.78-1
dropbear - 2017.75-2
ethtool - 4.8-1
fcgi - 2.4.0-1
firewall - 2017-05-27-a4d98aea-1
fstools - 2017-06-30-bdcb075f-1
fwtool - 1
gl-base-files - 1
gl-inet - 2.3.0-1
gl-modem - 1
gl-repeater - 1
gl-util - 1
gl-vpn - 1
hostapd-common - 2016-12-19-ad02e79d-6
ip-full - 4.4.0-9
ip6tables - 1.4.21-2
ipset - 6.30-1
iptables - 1.4.21-2
iptables-mod-conntrack-extra - 1.4.21-2
iptables-mod-ipopt - 1.4.21-2
iptables-mod-ipsec - 1.4.21-2
iw - 4.9-1
iwinfo - 2016-09-21-fd9e17be-1
jshn - 2017-02-24-96305a3c-1
jsonfilter - 2016-07-02-dea067ad-1
kernel - 4.4.92-1-cfc49f8ce3121cc82e391ee05dc27041
kmod-ath - 4.4.92+2017-01-31-3
kmod-ath9k - 4.4.92+2017-01-31-3
kmod-ath9k-common - 4.4.92+2017-01-31-3
kmod-cfg80211 - 4.4.92+2017-01-31-3
kmod-crypto-aead - 4.4.92-1
kmod-crypto-authenc - 4.4.92-1
kmod-crypto-cbc - 4.4.92-1
kmod-crypto-crc32c - 4.4.92-1
kmod-crypto-deflate - 4.4.92-1
kmod-crypto-des - 4.4.92-1
kmod-crypto-ecb - 4.4.92-1
kmod-crypto-echainiv - 4.4.92-1
kmod-crypto-hash - 4.4.92-1
kmod-crypto-hmac - 4.4.92-1
kmod-crypto-iv - 4.4.92-1
kmod-crypto-manager - 4.4.92-1
kmod-crypto-md5 - 4.4.92-1
kmod-crypto-null - 4.4.92-1
kmod-crypto-pcompress - 4.4.92-1
kmod-crypto-rng - 4.4.92-1
kmod-crypto-sha1 - 4.4.92-1
kmod-crypto-sha256 - 4.4.92-1
kmod-crypto-wq - 4.4.92-1
kmod-dma-buf - 4.4.92-1
kmod-fs-exfat - 4.4.92+2017-01-03-8d291f525ce6d88fe0d8b11b86fd5c2e900401d3-1
kmod-fs-ext4 - 4.4.92-1
kmod-fs-ntfs - 4.4.92-1
kmod-fs-vfat - 4.4.92-1
kmod-fuse - 4.4.92-1
kmod-gpio-button-hotplug - 4.4.92-2
kmod-gre - 4.4.92-1
kmod-i2c-core - 4.4.92-1
kmod-ifb - 4.4.92-1
kmod-input-core - 4.4.92-1
kmod-ip6tables - 4.4.92-1
kmod-ipsec - 4.4.92-1
kmod-ipsec4 - 4.4.92-1
kmod-ipsec6 - 4.4.92-1
kmod-ipt-conntrack - 4.4.92-1
kmod-ipt-conntrack-extra - 4.4.92-1
kmod-ipt-core - 4.4.92-1
kmod-ipt-ipopt - 4.4.92-1
kmod-ipt-ipsec - 4.4.92-1
kmod-ipt-ipset - 4.4.92-1
kmod-ipt-nat - 4.4.92-1
kmod-iptunnel - 4.4.92-1
kmod-iptunnel4 - 4.4.92-1
kmod-iptunnel6 - 4.4.92-1
kmod-l2tp - 4.4.92-1
kmod-lib-crc-ccitt - 4.4.92-1
kmod-lib-crc16 - 4.4.92-1
kmod-lib-textsearch - 4.4.92-1
kmod-lib-zlib-deflate - 4.4.92-1
kmod-lib-zlib-inflate - 4.4.92-1
kmod-mac80211 - 4.4.92+2017-01-31-3
kmod-mii - 4.4.92-1
kmod-mppe - 4.4.92-1
kmod-nf-conntrack - 4.4.92-1
kmod-nf-conntrack6 - 4.4.92-1
kmod-nf-ipt - 4.4.92-1
kmod-nf-ipt6 - 4.4.92-1
kmod-nf-nat - 4.4.92-1
kmod-nf-nathelper-extra - 4.4.92-1
kmod-nfnetlink - 4.4.92-1
kmod-nls-base - 4.4.92-1
kmod-nls-cp437 - 4.4.92-1
kmod-nls-iso8859-1 - 4.4.92-1
kmod-nls-utf8 - 4.4.92-1
kmod-ppp - 4.4.92-1
kmod-pppoe - 4.4.92-1
kmod-pppol2tp - 4.4.92-1
kmod-pppox - 4.4.92-1
kmod-pptp - 4.4.92-1
kmod-sched-connmark - 4.4.92-1
kmod-sched-core - 4.4.92-1
kmod-scsi-core - 4.4.92-1
kmod-slhc - 4.4.92-1
kmod-tun - 4.4.92-1
kmod-udptunnel4 - 4.4.92-1
kmod-udptunnel6 - 4.4.92-1
kmod-usb-acm - 4.4.92-1
kmod-usb-core - 4.4.92-1
kmod-usb-net - 4.4.92-1
kmod-usb-net-cdc-ether - 4.4.92-1
kmod-usb-net-cdc-ncm - 4.4.92-1
kmod-usb-net-huawei-cdc-ncm - 4.4.92-1
kmod-usb-net-ipheth - 4.4.92-1
kmod-usb-net-qmi-wwan - 4.4.92-1
kmod-usb-net-rndis - 4.4.92-1
kmod-usb-net-sierrawireless - 4.4.92-1
kmod-usb-ohci - 4.4.92-1
kmod-usb-serial - 4.4.92-1
kmod-usb-serial-cp210x - 4.4.92-1
kmod-usb-serial-option - 4.4.92-1
kmod-usb-serial-sierrawireless - 4.4.92-1
kmod-usb-serial-wwan - 4.4.92-1
kmod-usb-storage - 4.4.92-1
kmod-usb-uhci - 4.4.92-1
kmod-usb-wdm - 4.4.92-1
kmod-usb2 - 4.4.92-1
kmod-video-core - 4.4.92-1
kmod-video-gspca-core - 4.4.92-1
kmod-video-gspca-sonixb - 4.4.92-1
kmod-video-gspca-sonixj - 4.4.92-1
kmod-video-gspca-zc3xx - 4.4.92-1
kmod-video-uvc - 4.4.92-1
kmod-video-videobuf2 - 4.4.92-1
lede-keyring - 2017-01-20-a50b7529-1
libblkid - 2.29.2-1
libblobmsg-json - 2017-02-24-96305a3c-1
libc - 1.1.16-1
libcares - 1.13.0-1
libev - 4.24-1
libgcc - 5.4.0-1
libgmp - 6.1.2-1
libimobiledevice - 1.2.1-2
libip4tc - 1.4.21-2
libip6tc - 1.4.21-2
libiwinfo - 2016-09-21-fd9e17be-1
libiwinfo-lua - 2016-09-21-fd9e17be-1
libjpeg - 9a-1
libjson-c - 0.12.1-1
libjson-script - 2017-02-24-96305a3c-1
liblua - 5.1.5-1
liblzo - 2.09-1
libmbedtls - 2.6.0-2
libminiupnpc - 1.9-1
libmnl - 1.0.4-1
libnl-tiny - 0.1-5
libopenssl - 1.0.2k-1
libpcre - 8.41-2
libplist - 1.13-2
libpthread - 1.1.16-1
librt - 1.1.16-1
libsodium - 1.0.12-1
libubox - 2017-02-24-96305a3c-1
libubus - 2017-02-18-34c6e818-1
libubus-lua - 2017-02-18-34c6e818-1
libuci - 2016-07-04-e1bf4356-1
libuci-lua - 2016-07-04-e1bf4356-1
libuclient - 2017-09-06-24d6eded-1
libusb-1.0 - 1.0.21-1
libusbmuxd - 1.1.0-2
libuuid - 2.29.2-1
libxml2 - 2.9.4-1
libxtables - 1.4.21-2
lighttpd - 1.4.37-1
lighttpd-mod-access - 1.4.37-1
lighttpd-mod-cgi - 1.4.37-1
lighttpd-mod-expire - 1.4.37-1
lighttpd-mod-fastcgi - 1.4.37-1
lighttpd-mod-proxy - 1.4.37-1
logd - 2017-03-10-16f7e161-1
lua - 5.1.5-1
luci - git-17.290.79498-d3f0685-1
luci-app-chinadns - 1.6.1-1
luci-app-dns-forwarder - 1.6.1-1
luci-app-firewall - git-17.290.79498-d3f0685-1
luci-app-mwan3 - 1.4-5
luci-app-qos - git-17.290.79498-d3f0685-1
luci-app-samba - git-17.290.79498-d3f0685-1
luci-app-shadowsocks - 1.8.2-1
luci-app-upnp - git-17.290.79498-d3f0685-1
luci-base - git-17.290.79498-d3f0685-1
luci-lib-ip - git-17.290.79498-d3f0685-1
luci-lib-json - git-17.290.79498-d3f0685-1
luci-lib-jsonc - git-17.290.79498-d3f0685-1
luci-lib-nixio - git-17.290.79498-d3f0685-1
luci-mod-admin-full - git-17.290.79498-d3f0685-1
luci-mod-rpc - git-17.290.79498-d3f0685-1
luci-proto-3g - git-17.290.79498-d3f0685-1
luci-proto-ipv6 - git-17.290.79498-d3f0685-1
luci-proto-ppp - git-17.290.79498-d3f0685-1
luci-theme-bootstrap - git-17.290.79498-d3f0685-1
miniupnpc - 1.9-1
miniupnpd - 2.0.20170421-2
mjpg-streamer - r182-8
mtd - 21
mwan3 - 2.0.2-1
netifd - 2017-01-25-650758b1-1
ntfs-3g - 2016.2.22-1-fuseint
odhcp6c - 2017-01-30-c13b6a05-2
odhcpd - 2017-10-02-c6f3d5d4-2
openssl-util - 1.0.2k-1
openvpn-openssl - 2.4.3-2
opkg - 2017-03-23-1d0263bb-1
ppp - 2.4.7-11
ppp-mod-pppoe - 2.4.7-11
ppp-mod-pppol2tp - 2.4.7-11
ppp-mod-pptp - 2.4.7-11
procd - 2017-08-08-66be6a23-1
qos-scripts - 1.3.0-1
relayd - 2016-02-07-ad0b25ad-2
resolveip - 2
rpcd - 2016-12-03-0577cfc1-1
samba36-server - 3.6.25-6
shadowsocks-libev - 3.1.0-1
shadowsocks-libev-server - 3.1.0-1
strongswan - 5.5.3-1
strongswan-charon - 5.5.3-1
strongswan-default - 5.5.3-1
strongswan-mod-aes - 5.5.3-1
strongswan-mod-attr - 5.5.3-1
strongswan-mod-connmark - 5.5.3-1
strongswan-mod-constraints - 5.5.3-1
strongswan-mod-des - 5.5.3-1
strongswan-mod-dnskey - 5.5.3-1
strongswan-mod-fips-prf - 5.5.3-1
strongswan-mod-gmp - 5.5.3-1
strongswan-mod-hmac - 5.5.3-1
strongswan-mod-kernel-netlink - 5.5.3-1
strongswan-mod-md5 - 5.5.3-1
strongswan-mod-nonce - 5.5.3-1
strongswan-mod-pem - 5.5.3-1
strongswan-mod-pgp - 5.5.3-1
strongswan-mod-pkcs1 - 5.5.3-1
strongswan-mod-pubkey - 5.5.3-1
strongswan-mod-random - 5.5.3-1
strongswan-mod-rc2 - 5.5.3-1
strongswan-mod-resolve - 5.5.3-1
strongswan-mod-revocation - 5.5.3-1
strongswan-mod-sha1 - 5.5.3-1
strongswan-mod-sha2 - 5.5.3-1
strongswan-mod-socket-default - 5.5.3-1
strongswan-mod-sshkey - 5.5.3-1
strongswan-mod-stroke - 5.5.3-1
strongswan-mod-updown - 5.5.3-1
strongswan-mod-x509 - 5.5.3-1
strongswan-mod-xauth-generic - 5.5.3-1
strongswan-mod-xcbc - 5.5.3-1
strongswan-utils - 5.5.3-1
swconfig - 11
tc - 4.4.0-9
uboot-envtools - 2015.10-1
ubox - 2017-03-10-16f7e161-1
ubus - 2017-02-18-34c6e818-1
ubusd - 2017-02-18-34c6e818-1
uci - 2016-07-04-e1bf4356-1
uclient-fetch - 2017-09-06-24d6eded-1
uhttpd - 2017-08-19-3fd58e9b-1
uhttpd-mod-ubus - 2017-08-19-3fd58e9b-1
unzip - 6.0-5
uqmi - 2016-12-19-8ceeab69-1
usb-modeswitch - 2017-05-24-453da8e5-1
usbmuxd - 1.1.1-4
usign - 2015-07-04-ef641914-1
wpa-cli - 2016-12-19-ad02e79d-6
wpad - 2016-12-19-ad02e79d-6
wpad-mini - 2016-12-19-ad02e79d-6
wwan - 2014-07-17-1
xl2tpd - devel-20151125-3
zlib - 1.2.11-1

Can someone still have an old firmware file? I don’t want to disassemble the device to do DUMP

EC25-E should work with latest firmware, which is 3.105 from https://dl.gl-inet.com/firmware/mifi/testing/

For modem, pls check all the troubleshoot here https://docs.gl-inet.com/en/3/troubleshooting/modem_faq/

Otherwise can I have a remote check using any desk?

1 Like